aws-0.24.4: Amazon Web Services (AWS) for Haskell

Copyright | Soostone Inc
License | BSD3
Maintainer | Justin Dawson <jtdawso@gmail.com>
Stability | experimental
Safe Haskell | None
Language | Haskell2010

Aws.DynamoDb.Commands.BatchGetItem

Description

    http://docs.aws.amazon.com/amazondynamodb/latest/APIReference/API_BatchGetItem.html

Synopsis

- data GetRequestItem = GetRequestItem {
  - griProjExpr :: Maybe Text
  - griConsistent :: Bool
  - griKeys :: [PrimaryKey]
  }
- data BatchGetItem = BatchGetItem {
  - bgRequests :: [(Text, GetRequestItem)]
  - bgRetCons :: ReturnConsumption
  }
- batchGetRequestItem :: Maybe Text -> Bool -> [PrimaryKey] -> GetRequestItem
- toBatchGet :: [GetItem] -> BatchGetItem
- batchGetItem :: [(Text, GetRequestItem)] -> BatchGetItem
- data BatchGetItemResponse = BatchGetItemResponse {
  - bgResponses :: [(Text, [Item])]
  - bgUnprocessed :: Maybe [(Text, GetRequestItem)]
  - bgConsumed :: Maybe ConsumedCapacity
  }

# Documentation

data GetRequestItem Source #

Constructors

GetRequestItem |

Fields

- griProjExpr :: Maybe Text
- griConsistent :: Bool
- griKeys :: [PrimaryKey]

#### Instances

Instances details

FromJSON GetRequestItem Source # |
Instance details Defined in Aws.DynamoDb.Commands.BatchGetItem Methods parseJSON :: Value -> Parser GetRequestItem Source # parseJSONList :: Value -> Parser [GetRequestItem] Source # omittedField :: Maybe GetRequestItem Source #
ToJSON GetRequestItem Source # |
Instance details Defined in Aws.DynamoDb.Commands.BatchGetItem Methods toJSON :: GetRequestItem -> Value Source # toEncoding :: GetRequestItem -> Encoding Source # toJSONList :: [GetRequestItem] -> Value Source # toEncodingList :: [GetRequestItem] -> Encoding Source # omitField :: GetRequestItem -> Bool Source #
Read GetRequestItem Source # |
Instance details Defined in Aws.DynamoDb.Commands.BatchGetItem Methods readsPrec :: Int -> ReadS GetRequestItem Source # readList :: ReadS [GetRequestItem] Source # readPrec :: ReadPrec GetRequestItem Source # readListPrec :: ReadPrec [GetRequestItem] Source #
Show GetRequestItem Source # |
Instance details Defined in Aws.DynamoDb.Commands.BatchGetItem Methods showsPrec :: Int -> GetRequestItem -> ShowS Source # show :: GetRequestItem -> String Source # showList :: [GetRequestItem] -> ShowS Source #
Eq GetRequestItem Source # |
Instance details Defined in Aws.DynamoDb.Commands.BatchGetItem Methods (==) :: GetRequestItem -> GetRequestItem -> Bool Source # (/=) :: GetRequestItem -> GetRequestItem -> Bool Source #
Ord GetRequestItem Source # |

Instance details

Defined in Aws.DynamoDb.Commands.BatchGetItem

Methods

compare :: GetRequestItem -> GetRequestItem -> Ordering Source #

(<) :: GetRequestItem -> GetRequestItem -> Bool Source #

(<=) :: GetRequestItem -> GetRequestItem -> Bool Source #

(>) :: GetRequestItem -> GetRequestItem -> Bool Source #

(>=) :: GetRequestItem -> GetRequestItem -> Bool Source #

max :: GetRequestItem -> GetRequestItem -> GetRequestItem Source #

min :: GetRequestItem -> GetRequestItem -> GetRequestItem Source #

data BatchGetItem Source #

Constructors

BatchGetItem |

Fields

- bgRequests :: [(Text, GetRequestItem)]

  Get Requests for a specified table

- bgRetCons :: ReturnConsumption

#### Instances

Instances details

ToJSON BatchGetItem Source # |
Instance details Defined in Aws.DynamoDb.Commands.BatchGetItem Methods toJSON :: BatchGetItem -> Value Source # toEncoding :: BatchGetItem -> Encoding Source # toJSONList :: [BatchGetItem] -> Value Source # toEncodingList :: [BatchGetItem] -> Encoding Source # omitField :: BatchGetItem -> Bool Source #
SignQuery BatchGetItem Source # |

Instance details

Defined in Aws.DynamoDb.Commands.BatchGetItem

Associated Types

type ServiceConfiguration BatchGetItem |
Instance details Defined in Aws.DynamoDb.Commands.BatchGetItem type ServiceConfiguration BatchGetItem = DdbConfiguration

Methods

signQuery :: BatchGetItem -> ServiceConfiguration BatchGetItem queryType -> SignatureData -> SignedQuery Source #

Read BatchGetItem Source # |
Instance details Defined in Aws.DynamoDb.Commands.BatchGetItem Methods readsPrec :: Int -> ReadS BatchGetItem Source # readList :: ReadS [BatchGetItem] Source # readPrec :: ReadPrec BatchGetItem Source # readListPrec :: ReadPrec [BatchGetItem] Source #
Show BatchGetItem Source # |
Instance details Defined in Aws.DynamoDb.Commands.BatchGetItem Methods showsPrec :: Int -> BatchGetItem -> ShowS Source # show :: BatchGetItem -> String Source # showList :: [BatchGetItem] -> ShowS Source #
Eq BatchGetItem Source # |
Instance details Defined in Aws.DynamoDb.Commands.BatchGetItem Methods (==) :: BatchGetItem -> BatchGetItem -> Bool Source # (/=) :: BatchGetItem -> BatchGetItem -> Bool Source #
Ord BatchGetItem Source # |

Instance details

Defined in Aws.DynamoDb.Commands.BatchGetItem

Methods

compare :: BatchGetItem -> BatchGetItem -> Ordering Source #

(<) :: BatchGetItem -> BatchGetItem -> Bool Source #

(<=) :: BatchGetItem -> BatchGetItem -> Bool Source #

(>) :: BatchGetItem -> BatchGetItem -> Bool Source #

(>=) :: BatchGetItem -> BatchGetItem -> Bool Source #

max :: BatchGetItem -> BatchGetItem -> BatchGetItem Source #

min :: BatchGetItem -> BatchGetItem -> BatchGetItem Source #

Transaction BatchGetItem BatchGetItemResponse Source # |
Instance details Defined in Aws.DynamoDb.Commands.BatchGetItem
type ServiceConfiguration BatchGetItem Source # |
Instance details Defined in Aws.DynamoDb.Commands.BatchGetItem type ServiceConfiguration BatchGetItem = DdbConfiguration

batchGetRequestItem Source #

Arguments

:: Maybe Text | Projection Expression
-> Bool | Consistent Read
-> [PrimaryKey] | Items to be deleted
-> GetRequestItem |

Construct a RequestItem .

toBatchGet :: [GetItem] -> BatchGetItem Source #

batchGetItem :: [(Text, GetRequestItem)] -> BatchGetItem Source #

Construct a BatchGetItem

data BatchGetItemResponse Source #

Constructors

BatchGetItemResponse |

Fields

- bgResponses :: [(Text, [Item])]
- bgUnprocessed :: Maybe [(Text, GetRequestItem)]

  Unprocessed Requests on failure

- bgConsumed :: Maybe ConsumedCapacity

  Amount of capacity consumed

#### Instances

Instances details

FromJSON BatchGetItemResponse Source # |
Instance details Defined in Aws.DynamoDb.Commands.BatchGetItem Methods parseJSON :: Value -> Parser BatchGetItemResponse Source # parseJSONList :: Value -> Parser [BatchGetItemResponse] Source # omittedField :: Maybe BatchGetItemResponse Source #
AsMemoryResponse BatchGetItemResponse Source # |

Instance details

Defined in Aws.DynamoDb.Commands.BatchGetItem

Associated Types

type MemoryResponse BatchGetItemResponse |
Instance details Defined in Aws.DynamoDb.Commands.BatchGetItem type MemoryResponse BatchGetItemResponse = BatchGetItemResponse

Methods

loadToMemory :: BatchGetItemResponse -> ResourceT IO (MemoryResponse BatchGetItemResponse) Source #

Read BatchGetItemResponse Source # |
Instance details Defined in Aws.DynamoDb.Commands.BatchGetItem Methods readsPrec :: Int -> ReadS BatchGetItemResponse Source # readList :: ReadS [BatchGetItemResponse] Source # readPrec :: ReadPrec BatchGetItemResponse Source # readListPrec :: ReadPrec [BatchGetItemResponse] Source #
Show BatchGetItemResponse Source # |
Instance details Defined in Aws.DynamoDb.Commands.BatchGetItem Methods showsPrec :: Int -> BatchGetItemResponse -> ShowS Source # show :: BatchGetItemResponse -> String Source # showList :: [BatchGetItemResponse] -> ShowS Source #
Eq BatchGetItemResponse Source # |
Instance details Defined in Aws.DynamoDb.Commands.BatchGetItem Methods (==) :: BatchGetItemResponse -> BatchGetItemResponse -> Bool Source # (/=) :: BatchGetItemResponse -> BatchGetItemResponse -> Bool Source #
Ord BatchGetItemResponse Source # |

Instance details

Defined in Aws.DynamoDb.Commands.BatchGetItem

Methods

compare :: BatchGetItemResponse -> BatchGetItemResponse -> Ordering Source #

(<) :: BatchGetItemResponse -> BatchGetItemResponse -> Bool Source #

(<=) :: BatchGetItemResponse -> BatchGetItemResponse -> Bool Source #

(>) :: BatchGetItemResponse -> BatchGetItemResponse -> Bool Source #

(>=) :: BatchGetItemResponse -> BatchGetItemResponse -> Bool Source #

max :: BatchGetItemResponse -> BatchGetItemResponse -> BatchGetItemResponse Source #

min :: BatchGetItemResponse -> BatchGetItemResponse -> BatchGetItemResponse Source #

ResponseConsumer r BatchGetItemResponse Source # |

Instance details

Defined in Aws.DynamoDb.Commands.BatchGetItem

Associated Types

type ResponseMetadata BatchGetItemResponse |
Instance details Defined in Aws.DynamoDb.Commands.BatchGetItem type ResponseMetadata BatchGetItemResponse = DdbResponse

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata BatchGetItemResponse) -> HTTPResponseConsumer BatchGetItemResponse Source #

Transaction BatchGetItem BatchGetItemResponse Source # |
Instance details Defined in Aws.DynamoDb.Commands.BatchGetItem
type MemoryResponse BatchGetItemResponse Source # |
Instance details Defined in Aws.DynamoDb.Commands.BatchGetItem type MemoryResponse BatchGetItemResponse = BatchGetItemResponse
type ResponseMetadata BatchGetItemResponse Source # |
Instance details Defined in Aws.DynamoDb.Commands.BatchGetItem type ResponseMetadata BatchGetItemResponse = DdbResponse